body {
  font-family: 'Comfortaa', sans-serif;
}

.app {
  max-width: 900px;
  margin: 0 auto;
  padding: 20px;
  position: relative;
}

.header {
   display: flex;
   justify-content: center;
   margin-bottom: 20px;
 }

/* Titre de l'application */
.title {
  font-size: 32px;
  text-align: center;
}

/* Zone de drag and drop */
.drop-zone {
  border: 3px dashed #a4c5ff;
  height: 250px;
  width: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 auto 50px;
  text-align: center;
  background-color: #e8e8e8;
}

.file-input {
  display: none;
}

/* Bouton d'ajout d'images */
.select-btn {
  height: 30px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
  font-size: 16px;
  font-weight: bold;
  border: none;
  background-color: #6fa6ff;
  color: white;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}

/* Images */
.photo {
  max-width: 100%;
  max-height: 100%;
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
}

/* Grille d'images */
.photo-grid {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, 250px);
  grid-gap: 20px;
  grid-row-gap: 32px;
  margin: 30px auto;
  width: 900px;
  text-align: center;
  position: relative;
}

/* Cases de la grille d'images */
.photo-container {
  position: relative;
  display: inline-block;
  width: 250px;
  height: 250px;
  margin: 0 10px 20px;
  text-align: center;
  box-shadow: 3px 5px 5px rgba(0, 0, 0, 0.5);
}

/* Centrer verticalement une image dans sa case */
.photo-container:before {
  content: "";
  display: inline-block;
  height: 100%;
  vertical-align: middle;
}
.photo-container:after {
  content: "";
  display: inline-block;
  height: 0;
  vertical-align: middle;
}

/* Bouton de suppression d'images */
.delete-btn {
  position: absolute;
  bottom: -42px;
  left: 50%;
  transform: translateX(-50%);
  height: 35px;
  font-size: 16px;
  font-weight: bold;
  border: none;
  background-color: #ff5b5b;
  color: white;
  padding: 5px;
  border-radius: 5px;
  cursor: pointer;
}

/* Mode plein écran */
.fullscreen-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
}
.fullscreen-image {
  max-height: 80vh;
  max-width: 80vw;
  object-fit: contain;
  cursor: pointer;
}

/* Deux images par ligne pour un écran de max 900px */
@media only screen and (max-width: 900px) {
  .photo-grid {
    grid-template-columns: repeat(2, 250px);
  }
}

/* Une seule image par ligne pour un écran de max 650px */
@media only screen and (max-width: 650px) {
  .photo-grid {
    grid-template-columns: 250px;
  }
}
